Alembic Version 1.1

Classes | Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema Class Reference

`#include <IFaceSet.h>`

Inheritance diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema:
[legend]
Collaboration diagram for Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema:
[legend]

## Classes
class | Sample

## Public Types
typedef IFaceSetSchema | this_type
Public Types inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< FaceSetSchemaInfo >
typedef FaceSetSchemaInfo | info_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< FaceSetSchemaInfo >
typedef FaceSetSchemaInfo | info_type
typedef ISchema< FaceSetSchemaInfo > | this_type
Public Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
typedef ICompoundProperty | this_type

## Public Member Functions
| IFaceSetSchema ()
| IFaceSetSchema (const ICompoundProperty &iParent, const std::string &iName, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| IFaceSetSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
template<class CPROP_PTR >
| IFaceSetSchema (CPROP_PTR iThis, Abc::WrapExistingFlag iFlag, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| wrap an existing schema object More...
| IFaceSetSchema (const IFaceSetSchema &iCopy)
| Copy constructor. (explicit copy ctor for msvc bug workaround) More...
bool | isConstant () const
| Default assignment operator used. More...
size_t | getNumSamples () const
AbcA::TimeSamplingPtr | getTimeSampling () const
| Return the time sampling. More...
void | get (Sample &iSamp, const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
Sample | getValue (const Abc::ISampleSelector &iSS=Abc::ISampleSelector()) const
FaceSetExclusivity | getFaceExclusivity () const
Abc::IInt32ArrayProperty | getFacesProperty () const
void | reset ()
bool | valid () const
| ALEMBIC_OVERRIDE_OPERATOR_BOOL (IFaceSetSchema::valid())
Public Member Functions inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< FaceSetSchemaInfo >
| IGeomBaseSchema ()
| IGeomBaseSchema (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| IGeomBaseSchema (const ICompoundProperty &iProp, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| Wrap an existing schema object. More...
| IGeomBaseSchema (const ICompoundProperty &iProp, Abc::WrapExistingFlag iFlag, const Abc::Argument &iArg0=Abc::Argument(), const Abc::Argument &iArg1=Abc::Argument())
| IGeomBaseSchema (const IGeomBaseSchema &iCopy)
| Copy constructor. More...
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
virtual void | reset ()
virtual bool | valid () const
Abc::IBox3dProperty | getSelfBoundsProperty () const
Abc::IBox3dProperty | getChildBoundsProperty () const
ICompoundProperty | getArbGeomParams () const
ICompoundProperty | getUserProperties () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< FaceSetSchemaInfo >
| ISchema ()
| ISchema (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ISchema (const ICompoundProperty &iProperty, WrapExistingFlag iFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
virtual | ~ISchema ()
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ICompoundProperty
| ICompoundProperty ()
| ICompoundProperty (const ICompoundProperty &iParent, const std::string &iName, const Argument &iArg0=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (AbcA::CompoundPropertyReaderPtr iPtr, WrapExistingFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ICompoundProperty (const IObject &iObject, TopFlag, const Argument &iArg0=Argument(), const Argument &iArg1=Argument())
| ~ICompoundProperty ()
size_t | getNumProperties () const
| Returns the number of properties contained in this ICompoundProperty. More...
const AbcA::PropertyHeader & | getPropertyHeader (size_t i) const
const AbcA::PropertyHeader * | getPropertyHeader (const std::string &iName) const
ICompoundProperty | getParent () const
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
const AbcA::PropertyHeader & | getHeader () const
const std::string & | getName () const
AbcA::PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const AbcA::MetaData & | getMetaData () const
const AbcA::DataType & | getDataType () const
AbcA::TimeSamplingPtr | getTimeSampling () const
IObject | getObject () const
AbcA::CompoundPropertyReaderPtr | getPtr () const
void | reset ()
bool | valid () const
| ALEMBIC_OPERATOR_BOOL (valid())
Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
ErrorHandler & | getErrorHandler () const
ErrorHandler::Policy | getErrorHandlerPolicy () const

## Protected Member Functions
void | init (const Abc::Argument &iArg0, const Abc::Argument &iArg1)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
| IBasePropertyT ()
| IBasePropertyT (AbcA::CompoundPropertyReaderPtr iPtr, ErrorHandler::Policy iPolicy)
Protected Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::Base
| Base ()
| Base (ErrorHandler::Policy iPolicy)
| Base (const Base &iCopy)
Base & | operator= (const Base &iCopy)
bool | valid () const
void | reset ()

## Protected Attributes
Abc::IInt32ArrayProperty | m_facesProperty
Protected Attributes inherited from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< FaceSetSchemaInfo >
Abc::IBox3dProperty | m_selfBoundsProperty
Abc::IBox3dProperty | m_childBoundsProperty
Abc::ICompoundProperty | m_arbGeomParams
Abc::ICompoundProperty | m_userProperties
Protected Attributes inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
AbcA::CompoundPropertyReaderPtr | m_property

## Additional Inherited Members
Static Public Member Functions inherited from Alembic::Abc::ALEMBIC_VERSION_NS::ISchema< FaceSetSchemaInfo >
static const char * | getSchemaTitle ()
static const char * | getDefaultSchemaName ()
static bool | matches (const AbcA::MetaData &iMetaData, SchemaInterpMatching iMatching=kStrictMatching)
static bool | matches (const AbcA::PropertyHeader &iHeader, SchemaInterpMatching iMatching=kStrictMatching)
Protected Types inherited from Alembic::Abc::ALEMBIC_VERSION_NS::IBasePropertyT< AbcA::CompoundPropertyReaderPtr >
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | this_type
typedef IBasePropertyT< AbcA::CompoundPropertyReaderPtr > | operator_bool_base_type

## Detailed Description

Definition at line 52 of file IFaceSet.h.

## Member Typedef Documentation

## ◆ this_type

typedef IFaceSetSchema Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::this_type

By convention we always define this_type in AbcGeom classes. Used by unspecified-bool-type conversion below

Definition at line 103 of file IFaceSet.h.

## Constructor & Destructor Documentation

## ◆ IFaceSetSchema() [1/5]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::IFaceSetSchema | ( |  | ) |
| inline

The default constructor creates an empty IFaceSetSchema ...

Definition at line 111 of file IFaceSet.h.

## ◆ IFaceSetSchema() [2/5]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::IFaceSetSchema | ( | const ICompoundProperty & | iParent,
|  | const std::string & | iName,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`
| ) |  |
| inline

This constructor creates a new faceset reader. The first argument is the parent ICompoundProperty, from which the error handler policy for is derived. The second argument is the name of the ICompoundProperty that contains this schemas properties. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 119 of file IFaceSet.h.

## ◆ IFaceSetSchema() [3/5]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::IFaceSetSchema | ( | const ICompoundProperty & | iProp,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`
| ) |  |
| inline

This constructor wraps an existing ICompoundProperty as the faceset reader, and the error handler policy is derived from it. The remaining optional arguments can be used to override the ErrorHandlerPolicy and to specify schema interpretation matching.

Definition at line 133 of file IFaceSet.h.

## ◆ IFaceSetSchema() [4/5]

template<class CPROP_PTR >

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::IFaceSetSchema | ( | CPROP_PTR | iThis,
|  | Abc::WrapExistingFlag | iFlag,
|  | const Abc::Argument & | iArg0 = `Abc::Argument()`,
|  | const Abc::Argument & | iArg1 = `Abc::Argument()`
| ) |  |
| inline

wrap an existing schema object

Definition at line 143 of file IFaceSet.h.

## ◆ IFaceSetSchema() [5/5]

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::IFaceSetSchema | ( | const IFaceSetSchema & | iCopy | ) |
| inline

Copy constructor. (explicit copy ctor for msvc bug workaround)

Definition at line 154 of file IFaceSet.h.

## Member Function Documentation

## ◆ ALEMBIC_OVERRIDE_OPERATOR_BOOL()

Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::ALEMBIC_OVERRIDE_OPERATOR_BOOL | ( | IFaceSetSchema::valid() |  | ) |

unspecified-bool-type operator overload. ...

## ◆ get()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::get | ( | Sample & | iSamp,
|  | const Abc::ISampleSelector & | iSS = `Abc::ISampleSelector()`
| ) |  | const

## ◆ getFaceExclusivity()

FaceSetExclusivity Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::getFaceExclusivity | ( |  | ) | const

## ◆ getFacesProperty()

Abc::IInt32ArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::getFacesProperty | ( |  | ) | const
| inline

Definition at line 198 of file IFaceSet.h.

## ◆ getNumSamples()

size_t Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::getNumSamples | ( |  | ) | const

Get number of samples written so far. ...

## ◆ getTimeSampling()

AbcA::TimeSamplingPtr Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::getTimeSampling | ( |  | ) | const
| inline

Return the time sampling.

Definition at line 179 of file IFaceSet.h.

## ◆ getValue()

Sample Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::getValue | ( | const Abc::ISampleSelector & | iSS = `Abc::ISampleSelector()` | ) | const
| inline

Definition at line 189 of file IFaceSet.h.

## ◆ init()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::init | ( | const Abc::Argument & | iArg0,
|  | const Abc::Argument & | iArg1
| ) |  |
| protected

## ◆ isConstant()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::isConstant | ( |  | ) | const
| inline

Default assignment operator used.

if isConstant() is true, the mesh contains no time-varying values

Definition at line 168 of file IFaceSet.h.

## ◆ reset()

void Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::reset | ( |  | ) |
| inline virtual

Reset returns this function set to an empty, default state.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< FaceSetSchemaInfo >.

Definition at line 211 of file IFaceSet.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::reset().

Here is the call graph for this function:

## ◆ valid()

bool Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::valid | ( |  | ) | const
| inline virtual

Valid returns whether this function set is valid.

Reimplemented from Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< FaceSetSchemaInfo >.

Definition at line 220 of file IFaceSet.h.

References Alembic::AbcGeom::ALEMBIC_VERSION_NS::IGeomBaseSchema< INFO >::valid().

Here is the call graph for this function:

## Member Data Documentation

## ◆ m_facesProperty

Abc::IInt32ArrayProperty Alembic::AbcGeom::ALEMBIC_VERSION_NS::IFaceSetSchema::m_facesProperty
| protected

Definition at line 233 of file IFaceSet.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/AbcGeom/IFaceSet.h